org.apache.cassandra.cql3.statements

## Class IndexPropDefs

- java.lang.Object
- - org.apache.cassandra.cql3.statements.PropertyDefinitions
  - - org.apache.cassandra.cql3.statements.IndexPropDefs

    public class IndexPropDefs
    extends PropertyDefinitions

### Field Summary

Fields
`java.lang.String` `customClass`
`boolean` `isCustom`
`static java.util.Set<java.lang.String>` `keywords`
`static java.lang.String` `KW_OPTIONS`
`static java.util.Set<java.lang.String>` `obsoleteKeywords`

### Fields inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

`logger, properties`

### Constructor Summary

Constructors
Constructor and Description
`IndexPropDefs()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Map<java.lang.String,java.lang.String>` `getOptions()`
`java.util.Map<java.lang.String,java.lang.String>` `getRawOptions()`
`void` `validate()`

### Methods inherited from class org.apache.cassandra.cql3.statements.PropertyDefinitions

`addProperty, addProperty, getBoolean, getDouble, getInt, getMap, getSimple, getString, hasProperty, toInt, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### KW_OPTIONS

    public static final java.lang.String KW_OPTIONS

See Also:
  Constant Field Values

#### keywords

    public static final java.util.Set<java.lang.String> keywords

#### obsoleteKeywords

    public static final java.util.Set<java.lang.String> obsoleteKeywords

#### isCustom

    public boolean isCustom

#### customClass

    public java.lang.String customClass

### Constructor Detail

#### IndexPropDefs

    public IndexPropDefs()

### Method Detail

#### validate

    public void validate()
                  throws RequestValidationException

Throws:
  `RequestValidationException`

#### getRawOptions

    public java.util.Map<java.lang.String,java.lang.String> getRawOptions()
                                                                   throws SyntaxException

Throws:
  `SyntaxException`

#### getOptions

    public java.util.Map<java.lang.String,java.lang.String> getOptions()
                                                                throws SyntaxException

Throws:
  `SyntaxException`